from os import environ
from dotenv import load_dotenv, find_dotenv

load_dotenv(find_dotenv())

connection_engine = {
	"url": "postgresql+psycopg2://",
	"max_overflow": 10,
	"pool_size": 20,
	"pool_recycle": 25,
	"pool_timeout": 15,
	"pool_reset_on_return": "rollback",
	'echo': True
}

connection_prefs = {
    'host': environ.get('database__host'),
    'port': environ.get('database__port'),
    'dbname': environ.get('database__dbname'),
    'user': environ.get('database__user'),
    'password': environ.get('database__password'),
    'connect_timeout': environ.get('database__connect_timeout'),
    'minconn': environ.get('database__minconn'),
    'maxconn': environ.get('database__maxconn')
}